/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gamelib;

/**
 *
 * @author saren
 */
public abstract class Player extends Character{

    private int lives;

    private int score;

    private Backpack backpack;

    public Backpack getBackpack() {
        return backpack;
    }

    public void setBackpack(Backpack backpack) {
        this.backpack = backpack;
    }

    public int getLives() {
        return lives;
    }

    public void setLives(int lives) {
        this.lives = lives;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public abstract void jump();

}
